Bug 822047 - [abrt] kernel: [442523.606442] WARNING: at include/net/mac80211.h:3614 rate_control_send_low+0x23e/0x250 [mac80211]()
[abrt] kernel: [442523.606442] WARNING: at include/net/mac80211.h:3614 rate_c...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:fd99a2c0d230c896947091d168a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 03:44 EDT by Shaohe Feng
Modified: 2012-07-13 10:55 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 10:55:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shaohe Feng 2012-05-16 03:44:00 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.4-3.fc16.x86_64 root=UUID=61970e09-da43-402e-a81d-f2e87b4dd33a ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet rhgb LANG=zh_CN.UTF-8 rd.luks=0
event_log:      2012-05-16-15:21:40> Smolt profile successfully saved
kernel:         3.606497]
reason:         [442523.606442] WARNING: at include/net/mac80211.h:3614 rate_control_send_low+0x23e/0x250 [mac80211]()
time:           Wed 16 May 2012 03:19:34 PM CST

backtrace:
:[442523.606442] WARNING: at include/net/mac80211.h:3614 rate_control_send_low+0x23e/0x250 [mac80211]()
:[442523.606444] Hardware name: 2522AZ8
:[442523.606445] Modules linked in: bluetooth vfat fat usb_storage nfsd nfs_acl auth_rpcgss tcp_lp fuse ppdev parport_pc lp parport lockd 8021q garp bonding be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ebtable_nat ebtables bridge stp llc ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 nf_conntrack_ipv4 ip6table_filter ip6_tables nf_defrag_ipv4 xt_state nf_conntrack vhost_net macvtap macvlan tun virtio_net kvm_intel kvm sunrpc uinput snd_hda_codec_hdmi arc4 uvcvideo videobuf2_core videodev media iwlwifi snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device videobuf2_vmalloc snd_pcm tpm_tis tpm mac80211 thinkpad_acpi videobuf2_memops cfg80211 snd_timer iTCO_wdt iTCO_vendor_support snd intel_ips tpm_bios joydev soundcore snd_page_alloc rfkill e1000e i2c_i801 microcode firewire_ohci firewire_core sdhci_pci sdhci crc_
:itu_t mmc_core nouveau ttm drm_kms_helper drm i2c_core mxm_wmi video wmi dm_round_robin dm_multipath [last unloaded: scsi_wait_scan]
:[442523.606497] Pid: 24275, comm: kworker/u:1 Not tainted 3.3.4-3.fc16.x86_64 #1
:[442523.606499] Call Trace:
:[442523.606507]  [<ffffffff81057abf>] warn_slowpath_common+0x7f/0xc0
:[442523.606510]  [<ffffffff81057b1a>] warn_slowpath_null+0x1a/0x20
:[442523.606519]  [<ffffffffa02b478e>] rate_control_send_low+0x23e/0x250 [mac80211]
:[442523.606529]  [<ffffffffa03c4fe9>] rs_get_rate+0x99/0x310 [iwlwifi]
:[442523.606538]  [<ffffffffa02b4bae>] rate_control_get_rate+0xae/0x180 [mac80211]
:[442523.606548]  [<ffffffffa02c0a0f>] invoke_tx_handlers+0x7cf/0x1400 [mac80211]
:[442523.606552]  [<ffffffff81128765>] ? __free_pages+0x25/0x40
:[442523.606559]  [<ffffffffa029fd5c>] ? sta_info_get+0x6c/0x80 [mac80211]
:[442523.606569]  [<ffffffffa02c1790>] ieee80211_tx+0x60/0xc0 [mac80211]
:[442523.606578]  [<ffffffffa02c1871>] ieee80211_xmit+0x81/0xd0 [mac80211]
:[442523.606588]  [<ffffffffa02c2aaf>] ieee80211_tx_skb_tid+0x5f/0x70 [mac80211]
:[442523.606596]  [<ffffffffa02a648c>] ieee80211_send_delba+0x12c/0x1a0 [mac80211]
:[442523.606605]  [<ffffffffa02a7f70>] ___ieee80211_stop_rx_ba_session+0x120/0x250 [mac80211]
:[442523.606609]  [<ffffffff815f3da6>] ? _raw_spin_unlock_bh+0x16/0x20
:[442523.606617]  [<ffffffffa02a739f>] ? ___ieee80211_stop_tx_ba_session+0x25f/0x290 [mac80211]
:[442523.606625]  [<ffffffffa02a80fd>] __ieee80211_stop_rx_ba_session+0x5d/0x80 [mac80211]
:[442523.606633]  [<ffffffffa02a7901>] ? ieee80211_start_tx_ba_cb+0xd1/0x160 [mac80211]
:[442523.606641]  [<ffffffffa02a61c9>] ieee80211_sta_tear_down_BA_sessions+0x59/0x70 [mac80211]
:[442523.606649]  [<ffffffffa02ab431>] ieee80211_set_disassoc+0xf1/0x2b0 [mac80211]
:[442523.606657]  [<ffffffffa02ab63e>] ieee80211_sta_connection_lost+0x4e/0xc0 [mac80211]
:[442523.606666]  [<ffffffffa02ae95e>] ieee80211_sta_work+0x10e/0x150 [mac80211]
:[442523.606675]  [<ffffffffa02b23b8>] ieee80211_iface_work+0x2b8/0x350 [mac80211]
:[442523.606684]  [<ffffffffa02b2100>] ? ieee80211_teardown_sdata+0xe0/0xe0 [mac80211]
:[442523.606687]  [<ffffffff810747ae>] process_one_work+0x11e/0x470
:[442523.606689]  [<ffffffff810755bf>] worker_thread+0x15f/0x360
:[442523.606711]  [<ffffffff81075460>] ? manage_workers+0x230/0x230
:[442523.606715]  [<ffffffff81079da3>] kthread+0x93/0xa0
:[442523.606719]  [<ffffffff815fd2a4>] kernel_thread_helper+0x4/0x10
:[442523.606724]  [<ffffffff81079d10>] ? kthread_freezable_should_stop+0x70/0x70
:[442523.606728]  [<ffffffff815fd2a0>] ? gs_change+0x13/0x13

smolt_data:
:
:
:General
:=================================
:UUID: 3447a589-f424-4ec3-8e4d-ccf8dd613d3a
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5319.86
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 560  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 3817
:System Swap: 3904
:Vendor: LENOVO
:System: 2522AZ8 ThinkPad T410
:Form factor: Notebook
:Kernel: 3.3.4-3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59442:6058:8502) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:6058:8596) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16953:32902:4881) pci, iwlwifi, NETWORK, Centrino Advanced-N 6200 2x2 AGN
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4318:3043:6058:8591) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2668:6058:8514) pci, nouveau, VIDEO, ThinkPad T410
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/35000c5002eaa8392p3 / ext4 4096 4096 8647396 4635223 4201828 2170880 1746005 1746005
:/dev/mapper/35000c5002eaa8392p7 /home ext4 4096 4096 49938290 30773044 28273051 12500992 11708825 11708825
:
Comment 1 Stanislaw Gruszka 2012-07-13 10:55:15 EDT
This should be fixed on 3.4 by mac80211 assoc/auth redesign.

Note You need to log in before you can comment on or make changes to this bug.